#ifndef _TCAPS_FC_H_
#define _TCAPS_FC_H_

#include <stdlib.h>
#include <stdio.h>

#include <tcaps_sp.h>

#undef ACE_NDEBUG 

#include "ace/OS.h"
#include "ace/Signal.h"
#include "ace/SOCK_Dgram.h"

#include "tcaps_fc_flow_features.h"
#include "tcaps_fc_packet_block.h"
#include "tcaps_fc_network_task.h"
#include "tcaps_fc_flow_id.h"
#include "tcaps_fc_flow_id_port.h"
#include "tcaps_fc_flow_id_spi.h"
#include "tcaps_fc_flow.h"
#include "tcaps_fc_flow_list.h"
#include "tcaps_fc_client.h"
#include "tcaps_fc_client_list.h"
#include "tcaps_fc_algo.h"
#include "tcaps_fc_algo_simple.h"
#include "tcaps_fc_classifier_task.h"

#define TCAPS_FF_LOCAL_PORT		7777
#define TCAPS_CRM_LOCAL_PORT	0
#define TCAPS_CRM_REMOTE_PORT	6789
#define BUFFER_SIZE				1600
#define TCAPS_FC_COMMS_INTERFACE "fxp0"

#endif //_TCAPS_FC_H_
