#ifndef _TCAPS_FS_LAYER2_FRAME_H_
#define _TCAPS_FS_LAYER2_FRAME_H_

class Layer2_Frame
{
public:
	Layer2_Frame ();
	Layer2_Frame (u8 * frame);
	virtual ~Layer2_Frame (void);

	virtual unsigned int get_layer2_hdr_len() const = 0;
	virtual unsigned int get_layer2_trailer_len() const = 0;
	virtual void to_string(char * buf, unsigned int buflen) const = 0;
	Layer3_Packet * get_layer3_packet() const { return layer3_packet; }
	unsigned int get_layer2_protocol() const { return layer2_protocol; }


  
protected:
	unsigned int layer2_protocol;
	unsigned int layer2_hdr_len;
	unsigned int layer2_trailer_len;
	u8 * layer2_frame;
	Layer3_Packet * layer3_packet;
};

#endif //_TCAPS_FS_LAYER2_FRAME_H_
