#ifndef _TCAPS_FS_LAYER3_PACKET_H_
#define _TCAPS_FS_LAYER3_PACKET_H_

class Layer3_Packet
{
public:
	Layer3_Packet ();
	Layer3_Packet (u8 * packet);
	virtual ~Layer3_Packet (void);

	virtual unsigned int get_layer3_hdr_len() const = 0;
	virtual void to_string(char * buf, unsigned int buflen) const = 0;
	Layer4_Datagram * get_layer4_dgram() const { return layer4_dgram; }
	unsigned int get_layer3_protocol() const { return layer3_protocol; }


  
protected:
	unsigned int layer3_protocol;
	unsigned int layer3_hdr_len;
	u8 * layer3_packet;
	Layer4_Datagram * layer4_dgram;
};

#endif //_TCAPS_FS_LAYER3_PACKET_H_
