#ifndef _TCAPS_FS_TCP_DATAGRAM_H_
#define _TCAPS_FS_TCP_DATAGRAM_H_

class TCP_Datagram : public Layer4_Datagram
{
public:
	TCP_Datagram (u8 * dgram);
	virtual ~TCP_Datagram (void);

	virtual unsigned int get_layer4_hdr_len() const;
	virtual void to_string(char * buf, unsigned int buflen) const;
	
	u16 get_src_port() const;
	u16 get_dst_port() const;

private:
	void parse_src_port();
	void parse_dst_port();
  
protected:
	u16 tcp_port_src;
	u16 tcp_port_dst;
};

#endif //_TCAPS_FS_TCP_DATAGRAM_H_
