#ifndef _TCAPS_FS_UDP_DATAGRAM_H_
#define _TCAPS_FS_UDP_DATAGRAM_H_


class UDP_Datagram : public Layer4_Datagram
{
public:
	UDP_Datagram (u8 * dgram);
	virtual ~UDP_Datagram (void);

	virtual unsigned int get_layer4_hdr_len() const;
	virtual void to_string(char * buf, unsigned int buflen) const;
	
	u16 get_src_port() const;
	u16 get_dst_port() const;

private:
	void parse_src_port();
	void parse_dst_port();
  
protected:
	u16 udp_port_src;
	u16 udp_port_dst;
};


#endif //_TCAPS_FS_UDP_DATAGRAM_H_
