#ifndef _TCAPS_MANAGER_H_
#define _TCAPS_MANAGER_H_


#include <tcaps_sp.h>


#include "ace/OS.h"
#include "ace/Log_Msg.h"
#include "ace/SOCK_Dgram.h"
#include "ace/INET_Addr.h"
#include "ace/Thread.h"
#include "ace/Message_Block.h"
#include "ace/Message_Queue.h"
#include "ace/Signal.h"

#include "tcaps_manager_packet_block.h"
#include "tcaps_manager_network_task.h"
#include "tcaps_manager_rule.h"
#include "tcaps_manager_rule_list.h"
#include "tcaps_manager_client.h"
#include "tcaps_manager_client_list.h"
#include "tcaps_manager_client_manager_task.h"

#define RULE_UPDATE_BEFORE_EXPIRY_TIME	10 //secs
#define CLIENT_POLL_TIMEOUT_THRESHOLD	120 //seconds
#define RULE_TIMEOUT_DEFAULT			300 //seconds
#define BUFFER_SIZE						1600

#define TCAPS_FS_LOCAL_PORT		4567
#define TCAPS_FS_REMOTE_PORT	4567
#define TCAPS_FC_LOCAL_PORT		5678
#define TCAPS_CI_LOCAL_PORT		6789

#define TCAPS_FS_IP				"172.16.250.30"


#endif //_TCAPS_MANAGER_H_
