#ifndef _TCAPS_CI_H_
#define _TCAPS_CI_H_

#include <tcaps_qosss_translator.h>
#include <tcaps_sp.h>


#include "ace/OS.h"
#include "ace/Log_Msg.h"
#include "ace/SOCK_Dgram.h"
#include "ace/INET_Addr.h"
#include "ace/Thread.h"
#include "ace/Signal.h"
#include "ace/Message_Block.h"

#include "tcaps_ci_packet_block.h"
#include "tcaps_ci_network_task.h"
#include "tcaps_ci_rule.h"
#include "tcaps_ci_rule_list.h"
#include "tcaps_ci_rule_management_task.h"



#define TCAPS_TM_IP				"172.16.250.20"
#define TCAPS_TM_REMOTE_PORT	6789
#define TCAPS_CI_LOCAL_PORT		0
#define TCAPS_CI_INTERFACE		"fxp0"
#define TCAPS_CI_POLL_INTERVAL	10
#define BUFFER_SIZE				1600


#endif //_TCAPS_CI_H_
