#ifndef _TCAPS_CI_RULE_MANAGEMENT_TASK_H_
#define _TCAPS_CI_RULE_MANAGEMENT_TASK_H_


#include "ace/Task.h"


#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */


class TCAPS_Rule_Management_Task : public ACE_Task <ACE_MT_SYNCH>
{
public:

	typedef ACE_Task <ACE_MT_SYNCH> inherited;

	TCAPS_Rule_Management_Task ();
	~TCAPS_Rule_Management_Task (void);

	int open (void * = 0);
	int svc (void);
	int close (u_long flags = 0);

	static void perform_housekeeping(TCAPS_Rule * therule, void * args);
	static void delete_qosss_rules(TCAPS_Rule * therule, void * args);

protected:
	TCAPS_Rule_List * client_rules;
	size_t n_threads_;
};




#endif //_TCAPS_CI_RULE_MANAGEMENT_TASK_H_
