#include "tcaps_fs.h"

Layer3_Packet::Layer3_Packet ()
{
	#ifdef _PACKET_PARSE_DEBUG_
	ACE_DEBUG ((LM_DEBUG, "(%P|%t) Layer3_Packet default ctor 0x%x\n", (void *) this));
	#endif
}	

Layer3_Packet::Layer3_Packet (u8 * packet)
{
	#ifdef _PACKET_PARSE_DEBUG_
	ACE_DEBUG ((LM_DEBUG, "(%P|%t) Layer3_Packet ctor 0x%x\n", (void *) this));
	#endif
	
	layer3_packet = packet;
	layer4_dgram = NULL;
}

Layer3_Packet::~Layer3_Packet(void)
{
	#ifdef _PACKET_PARSE_DEBUG_
	ACE_DEBUG ((LM_DEBUG, "(%P|%t) Layer3_Packet dtor 0x%x\n", (void *) this));
	#endif
	
	if(layer4_dgram != NULL)
	{
		//ACE_DEBUG ((LM_DEBUG, "(%P|%t) Layer3_Packet dtor: layer4_dgram != NULL... deleting\n"));
		delete layer4_dgram;
		//ACE_DEBUG ((LM_DEBUG, "(%P|%t) Layer3_Packet dtor: layer4_dgram deleted\n"));
	}
}
