#ifndef _TCAPS_FS_LAYER4_DATAGRAM_H_
#define _TCAPS_FS_LAYER4_DATAGRAM_H_

class Layer4_Datagram
{
public:
	Layer4_Datagram ();
	Layer4_Datagram (u8 * datagram);
	virtual ~Layer4_Datagram (void);
	
	virtual unsigned int get_layer4_hdr_len() const = 0;
	virtual void to_string(char * buf, unsigned int buflen) const = 0;
	
	unsigned int get_layer4_protocol() const { return layer4_protocol; }


  
protected:
	unsigned int layer4_protocol;
	unsigned int layer4_hdr_len;
	u8 * layer4_dgram;
	//u8 * data;
};

#endif //_TCAPS_FS_LAYER4_DATAGRAM_H_
