#ifndef _TCAPS_MANAGER_PACKET_BLOCK_H_
#define _TCAPS_MANAGER_PACKET_BLOCK_H_


#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

/* This simple ACE_Message_Block derivative will inform us of it's
   construction and destruction.  We'll use this to assure ourselves
   that we don't have any memory leaks.  In a real application, of
   course, this isn't necessary.  */
class Packet_Block : public ACE_Message_Block
{
public:
  Packet_Block (void)
  {
    ACE_DEBUG ((LM_DEBUG, "(%P|%t) Packet_Block ctor 0x%x\n", (void *) this));
  }

  Packet_Block (size_t size)
    : ACE_Message_Block (size)
  {
    ACE_DEBUG ((LM_DEBUG, "(%P|%t) Packet_Block ctor 0x%x\n", (void *) this));
  }

  virtual ~Packet_Block (void)
  {
    ACE_DEBUG ((LM_DEBUG, "(%P|%t) Packet_Block dtor 0x%x\n", (void *) this)); 
  }
  
};


#endif //_TCAPS_MANAGER_PACKET_BLOCK_H_
