#include <stdlib.h>
#include <stdio.h>

#include <tcaps_qosss_translator.h>

int main()
{
	char buf1[1024], buf2[1024];
	int temp;
	struct tcaps_sp_rmp * packet;
	
	
	//char * mac, u16 rulenum, u8 transferid, u8 numretries, u8 optype, u8 matchpri, u16 timeout);
	//packet = tcaps_sp_rmp_create("123456789AFF", 45678, 130, 145, TCAPS_RMP_OP_TYPE_CREATE, 243, 55600);
	
	//u8 relto, u16 offset, u16 numbits2match, u8 matchrule, u8 conjunction, u8 * refbits, unsigned int refbitslength
	//tcaps_sp_rmp_add_rule_segment(packet, tcaps_sp_rmp_create_rule_segment(TCAPS_SP_RULESEG_RELTO_START_OF_IP_PACKET, 43000, 8, TCAPS_SP_RULESEG_MATCH_RULE_EQUAL_TO, TCAPS_SP_RULESEG_CONJUNCTION_AND, "abc", strlen("abc")+1));
	//tcaps_sp_rmp_add_rule_segment(packet, tcaps_sp_rmp_create_rule_segment(TCAPS_SP_RULESEG_RELTO_START_OF_TCP_SEGMENT, 65522, 224, TCAPS_SP_RULESEG_MATCH_RULE_GREATER_THAN, 243, "stinky michelle eats my cds", strlen("stinky michelle eats my cds")+1));
	
	//struct tcaps_sp_rmp * tcaps_sp_rmp_create_ipport2ipport(char * mac, u16 rulenum, u8 transferid, u8 numretries, u8 optype, u8 matchpri, u16 timeout, char * srcip, u16 srcport, char * dstip, u16 dstport, unsigned int ipversion)
	packet = tcaps_sp_rmp_create_ipport2ipport("123456789AFF", 45678, 130, 145, TCAPS_RMP_OP_TYPE_CREATE, 243, 55600, "10.10.10.10", 1010, "20.20.20.20", 2020, TCAPS_TP_IP_VERSION_4);
	
	if(!tcaps_sp_rmp_validate_serialized_packet(packet->serialized, packet->serialized_bytes))
		printf("Packet is flagged as bad!\n");
	
	
	tcaps_sp_rmp_tostring(packet, buf1, sizeof(buf1));
	
	printf("\n\n%s\n", buf1);
	
	
	//tcaps_translate_rmp2qosss(const struct tcaps_sp_rmp * packet, char * command, int * rule_number);
	tcaps_translate_rmp2qosss(packet, "fxp0", buf2, &temp);
	
	printf("\n\n%s\n", buf2);
	
	
	return EXIT_SUCCESS;
}
